%define majver %(echo %version | cut -d. -f1-2)
Name:          gspell
Version:       1.6.1
Release:       1mamba
Summary:       A spell-checking library for GTK+ applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org
Source:        http://ftp.acc.umu.se/pub/gnome/sources/gspell/%{majver}/gspell-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libblkid-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libenchant-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libmount-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libthai-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gtk-doc >= 1.25
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A spell-checking library for GTK+ applications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A spell-checking library for GTK+ applications

%description -n lib%{name}
A spell-checking library for GTK+ applications.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      lib%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}-1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f %{name}-1.lang
%defattr(-,root,root)
%{_libdir}/libgspell-1.so.*
%{_libdir}/girepository-1.0/Gspell-1.typelib
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/gspell-app1
%dir %{_includedir}/gspell-1
%dir %{_includedir}/gspell-1/gspell
%{_includedir}/gspell-1/gspell/*.h
%{_libdir}/libgspell-1.la
%{_libdir}/libgspell-1.so
%{_datadir}/vala/vapi/gspell-1.deps
%{_datadir}/vala/vapi/gspell-1.vapi
%{_libdir}/pkgconfig/gspell-1.pc
%{_datadir}/gir-1.0/Gspell-1.gir
%doc ChangeLog NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/gspell-1.0
%{_datadir}/gtk-doc/html/gspell-1.0/*

%changelog
* Sat Dec 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Sat Nov 18 2017 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Sun Jun 25 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.4.1-1mamba
- update to 1.4.1

* Tue Nov 08 2016 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Mon Nov 07 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- apidocs: don't require gspell package

* Sat Nov 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- package created using the webbuild interface
